> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/cidr-block/describeipv6cidrs.md).

# DescribeIpv6Cidrs

## 1. 接口描述

本接口(DescribeIpv6Cidrs)用于查询账户下的 IPv6 CIDR 地址块信息，支持按 CIDR ID、地域、名称、地址段筛选，支持标签过滤和分页查询。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                 | 描述                                                   |
| --------------- | -- | ------------------------------------------------------------------ | ---------------------------------------------------- |
| cidrIds         | 否  | Array of String                                                    | 一个或多个待操作的Cidr ID，根据cidrId进行过滤。                       |
| regionId        | 否  | String                                                             | 根据CIDR所在的节点ID进行过滤。                                   |
| name            | 否  | String                                                             | 根据CIDR名称进行过滤，支持模糊查询。                                 |
| cidrBlock       | 否  | String                                                             | 根据CIDR地址进行过滤。                                        |
| asn             | 否  | Integer                                                            | 根据ASN编号进行过滤。                                         |
| resourceGroupId | 否  | String                                                             | 根据资源组ID进行过滤。                                         |
| pageSize        | 否  | Integer                                                            | <p>返回的分页大小，默认为20，最大为1000。</p><p>可选值范围：\[1, 1000]</p> |
| pageNum         | 否  | Integer                                                            | <p>返回的分页数。</p><p>可选值范围：\[1, +)</p><p>默认值：1</p>       |
| tagKeys         | 否  | Array of String                                                    | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>                |
| tags            | 否  | Array of [Tag](/api-reference/cn/compute/zec/datastructure.md#tag) | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>                  |

## 3. 响应结果

| 参数名称       | 类型                                                                                   | 描述                                                       |
| ---------- | ------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId  | String                                                                               | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                              | 符合条件的数据总数。                                               |
| dataSet    | Array of [Ipv6CidrInfo](/api-reference/cn/compute/zec/datastructure.md#ipv6cidrinfo) | 查询IPV6 CIDR地址的结果数据。                                      |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询CidrBlock为`2400:8a00::/28`的Cidr列表**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeIpv6Cidrs
<Common Request Params>

Request：
{
    "cidrIds": ["xxx"],
    "regionId": "asia-east-1",
    "cidrBlock": "2400:8a00::/28",
    "pageSize": 10,
    "pageNum": 1
}

Response：
{
    "requestId": "T9CBB339D-5562-4451-81CF-31F10E6638B8",
    "response": {
        "dataSet": [
            {
                "asn": 62610,
                "cidrBlock": "2400:8a00::/28",
                "cidrId": "<cidrId>",
                "createTime": "2026-04-29T12:23:45Z",
                "name": "2400:8a00::/28",
                "netmask": 28,
                "networkLineType": "PremiumBGP",
                "nicIds": [
                    "<nicId1>",
                    "<nicId2>"
                ],
                "poolId": "<poolId>",
                "regionId": "asia-east-1",
                "resourceGroup": {
                    "resourceGroupId": "<resourceGroupId>",
                    "resourceGroupName": "<resourceGroupName>"
                },
                "source": "BYOIP",
                "status": "AVAILABLE",
                "subnetIds": [
                    "<subnetId1>",
                    "<subnetId2>"
                ],
                "asnObservation": {
                    "verificationStatus": "agreed",
                    "observedPrefix": "2400:8a00::/28",
                    "primarySource": "RIPE",
                    "primaryStatus": "FINISHED",
                    "primaryAsns": [62610]
                }
            }
        ],
        "requestId": "T9CBB339D-5562-4451-81CF-31F10E6638B8",
        "totalCount": 1
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
